/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.style.book.zip.processor;

/**
 * @author Jürgen Kappler
 */
public class StyleBookEntryZipProcessorImportResultEntry {

	public StyleBookEntryZipProcessorImportResultEntry(
		String name, Status status) {

		_name = name;
		_status = status;
	}

	public StyleBookEntryZipProcessorImportResultEntry(
		String name, Status status, String errorMessage) {

		_name = name;
		_status = status;
		_errorMessage = errorMessage;
	}

	public String getErrorMessage() {
		return _errorMessage;
	}

	public String getName() {
		return _name;
	}

	public Status getStatus() {
		return _status;
	}

	public enum Status {

		IMPORTED("imported"), IMPORTED_DRAFT("imported-draft"),
		INVALID("invalid");

		public String getLabel() {
			return _label;
		}

		private Status(String label) {
			_label = label;
		}

		private final String _label;

	}

	private String _errorMessage;
	private final String _name;
	private final Status _status;

}